%define upstream_name    MooseX-HasDefaults
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Default "is" to "ro" or "rw" for all attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
The module the MooseX::HasDefaults::RO manpage defaults 'is' to 'ro'.

The module the MooseX::HasDefaults::RW manpage defaults 'is' to 'rw'.

If you pass a specific value to any 'has''s 'is', that overrides the
default. If you do not want an accessor, pass 'is => undef'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-12.mga8
+ Revision: 1505423
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-11.mga7
+ Revision: 1285078
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-10.mga7
+ Revision: 1165614
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1159215
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-8.mga6
+ Revision: 1030377
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 948552
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 787986
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 749081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 685538
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 513119
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 370186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 193952
- imported package perl-MooseX-HasDefaults


* Mon Jan 09 2012 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
